Bug 21578 - 'Pay fines' tab incorrectly describes the purpose
Summary: 'Pay fines' tab incorrectly describes the purpose
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-16 13:26 UTC by Tomás Cohen Arazi
Modified: 2019-05-30 11:48 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This enhancement renames the tabs on a patrons account related to fines/payments - The 'Fines' tab is now 'Accounting' on the Accounting page 'Account' is now 'Transactions' 'Pay fines' is now 'Make a payment'
Version(s) released in:


Attachments
Bug 21578: Terminology changes in patron's account section (staff) (7.42 KB, patch)
2018-12-06 19:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21578: Terminology changes in patron's account section (staff) (7.45 KB, patch)
2018-12-07 14:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21578: Terminology changes in patron's account section (staff) (7.54 KB, patch)
2019-01-01 23:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-10-16 13:26:41 UTC
On the patron's account page, the 'Pay fines' tab could be renamed 'Pay debts' (or something more idiomatic) given the fact that fines are only one kind of outstanding debits the patron's account has. For example, there might be fees.
Comment 1 Katrin Fischer 2018-10-16 17:35:58 UTC
I think Pay is wrong then too - you can also writeoff/void... maybe manage? It can also not only be debts I guess. What about credits?
Comment 2 Tomás Cohen Arazi 2018-10-16 17:36:52 UTC
(In reply to Katrin Fischer from comment #1)
> I think Pay is wrong then too - you can also writeoff/void... maybe manage?
> It can also not only be debts I guess. What about credits?

I'll leave to native speakers :-D
Comment 3 Barton Chittenden 2018-10-27 17:34:07 UTC
Maybe 'Payments and Write-offs'? That side-steps the question of what's being paid or written off, and I think that it's broad enough to cover everything.

'Credits' would be fully general, but the context of 'a positive amount on a balance sheet' isn't broadly used in English -- I think that it would be a bit of a leap to see a 'credits' tab and think 'This is where I go to make payments'.
Comment 4 Andy Boze 2018-10-29 14:42:03 UTC
The librarian at one of the libraries I support doesn't like the word "fines" either. I was going to change it in the template file to perhaps "Charges and Payments".
Comment 5 Myka Kennedy Stephens 2018-10-29 17:01:26 UTC
What about:
- rename the tab for this entire section in the patron view "Accounting" instead of "Fines"
- rename the first "Account" tab to "Transactions" since this tab is only for viewing the history of all the patron's charges and payments (including writeoffs, credits, and fine forgiveness)
- rename the second "Pay fines" tab to "Make a payment". I think "payment" can be inclusive of writeoffs and other alternatives to strict payment with cash or credit.
Comment 6 Katrin Fischer 2018-10-29 17:58:49 UTC
(In reply to Myka Kennedy Stephens from comment #5)
> What about:
> - rename the tab for this entire section in the patron view "Accounting"
> instead of "Fines"
> - rename the first "Account" tab to "Transactions" since this tab is only
> for viewing the history of all the patron's charges and payments (including
> writeoffs, credits, and fine forgiveness)
> - rename the second "Pay fines" tab to "Make a payment". I think "payment"
> can be inclusive of writeoffs and other alternatives to strict payment with
> cash or credit.

+1 Thx for the suggestions, Andy and Myka!
Comment 7 Eric Phetteplace 2018-10-29 20:22:33 UTC
(In reply to Myka Kennedy Stephens from comment #5)
> What about:
> - rename the tab for this entire section in the patron view "Accounting"
> instead of "Fines"
> - rename the first "Account" tab to "Transactions" since this tab is only
> for viewing the history of all the patron's charges and payments (including
> writeoffs, credits, and fine forgiveness)
> - rename the second "Pay fines" tab to "Make a payment". I think "payment"
> can be inclusive of writeoffs and other alternatives to strict payment with
> cash or credit.

I asked our staff to look at this thread and they agreed with these suggestions.
Comment 8 Jessie Zairo 2018-10-29 20:31:02 UTC
I agree with Myka's comments.

- rename the tab for this entire section in the patron view "Accounting" instead of "Fines"
- rename the first "Account" tab to "Transactions" since this tab is only for viewing the history of all the patron's charges and payments 
- rename the second "Pay fines" tab to "Make a payment". I think "payment" can be inclusive of writeoffs and other alternatives to strict payment with cash or credit. 

My comment on the second pay fines tab could also be Make a Transaction. Although that may be too lengthy.
Comment 9 Katrin Fischer 2018-10-29 20:32:20 UTC
What about the tabs in the OPAC? Is Accounting something patrons would understand?
Comment 10 Eric Phetteplace 2018-10-29 22:38:10 UTC
Just a follow up: our staff continued to discuss this and agreed that "Accounting" doesn't seem right for a patron-facing term, it seems likely to cause confusion. "Fines" was preferred.
Comment 11 Myka Kennedy Stephens 2018-10-30 13:21:54 UTC
(In reply to Eric Phetteplace from comment #10)
> Just a follow up: our staff continued to discuss this and agreed that
> "Accounting" doesn't seem right for a patron-facing term, it seems likely to
> cause confusion. "Fines" was preferred.

I agree that "Accounting" wouldn't work for the OPAC. To be more inclusive, what about calling the tab "your charges" instead of "your fines"? I notice that the heading of that page in the OPAC says "Fines and charges," so changing the tab to use charges instead of fines would still be consistent with language that our patrons are accustomed to seeing.
Comment 12 Andy Boze 2018-10-30 13:26:32 UTC
Charges would work for us in the OPAC. The particular problem we have with using the word "Fines" is that we don't fine for overdue books, we only assess fees for lost books and rentals.
Comment 13 Barton Chittenden 2018-10-30 13:40:11 UTC
(In reply to Andy Boze from comment #12)
> Charges would work for us in the OPAC. The particular problem we have with
> using the word "Fines" is that we don't fine for overdue books, we only
> assess fees for lost books and rentals.

Agreed. Fines has a specific meaning in the context of Koha, and there's a tendency to over-generalize because most, but not all of the charges are fines -- unless they aren't. In fact, I would be inclined not to use the word 'Fines' at all if FinesMode is not set to charge for overdues.
Comment 14 Tomás Cohen Arazi 2018-12-06 19:28:31 UTC
Created attachment 82941 [details] [review]
Bug 21578: Terminology changes in patron's account section (staff)
Comment 15 Owen Leonard 2018-12-07 14:53:06 UTC
Created attachment 82982 [details] [review]
Bug 21578: Terminology changes in patron's account section (staff)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 16 Katrin Fischer 2019-01-01 23:02:38 UTC
Created attachment 83572 [details] [review]
Bug 21578: Terminology changes in patron's account section (staff)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Nick Clemens 2019-01-02 21:09:43 UTC
Awesome work all!

Pushed to master for 19.05
Comment 18 Martin Renvoize 2019-01-07 15:16:31 UTC
This would cause an unexpected end user-facing change in the stable branch.. Upping to 'enhancement' and stating intention not to backport.